#!/usr/bin/env python
from distutils.core import setup


# Version
MAJOR = 0
MINOR = 0
MICRO = 3

fmrb_version = '{major}.{minor}.{micro}'.format(major=MAJOR, minor=MINOR, micro=MICRO)

with open('fmrb/_version.py', 'w') as f:
    f.write("""# Automatically generated by setup.py of fmrb. Do not edit.
version = '{version}'""".format(version=fmrb_version))

setup(name='fmrb',
      version=fmrb_version,
      author='Scott C. Livingston',
      author_email='slivingston@cds.caltech.edu',
      url = 'http://fmrchallenge.org',
      license = 'BSD',
      packages=['fmrb']
      )
